Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxStatus

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.taglib.html.jsp.AjaxStatus

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxStatus

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`AjaxStatus()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDir(javax.el.ValueExpression __dir)` Direction indication for text that does not inherit directionality.
`void` | `setFor(javax.el.ValueExpression __for)` ID of the AjaxContainer component whose status is indicated (in the format of a javax.faces.UIComopnent.findComponent() call).
`void` | `setForceId(javax.el.ValueExpression __forceId)` If true, render the ID of the component in HTML code without JSF modifications.
`void` | `setLang(javax.el.ValueExpression __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLayout(javax.el.ValueExpression __layout)` Define visual layout of panel, can be "block" or "inline".
`void` | `setOnclick(javax.el.ValueExpression __onclick)` The clientside script method to be called when the element is clicked Setter for onclick
`void` | `setOndblclick(javax.el.ValueExpression __ondblclick)` The client side script method to be called when the element is double-clicked Setter for ondblclick
`void` | `setOnkeydown(javax.el.ValueExpression __onkeydown)` The client side script method to be called when a key is pressed down over the element Setter for onkeydown
`void` | `setOnkeypress(javax.el.ValueExpression __onkeypress)` The client side script method to be called when a key is pressed over the element and released Setter for onkeypress
`void` | `setOnkeyup(javax.el.ValueExpression __onkeyup)` The client side script method to be called when a key is released Setter for onkeyup
`void` | `setOnmousedown(javax.el.ValueExpression __onmousedown)` The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown
`void` | `setOnmousemove(javax.el.ValueExpression __onmousemove)` The client side script method to be called when a pointer is moved within the element Setter for onmousemove
`void` | `setOnmouseout(javax.el.ValueExpression __onmouseout)` The client side script method to be called when a pointer is moved away from the element Setter for onmouseout
`void` | `setOnmouseover(javax.el.ValueExpression __onmouseover)` The client side script method to be called when a pointer is moved onto the element Setter for onmouseover
`void` | `setOnmouseup(javax.el.ValueExpression __onmouseup)` The client side script method to be called when a mouse button is released Setter for onmouseup
`void` | `setOnstart(javax.el.ValueExpression __onstart)` JavaScript code, called on the start of a request.
`void` | `setOnstop(javax.el.ValueExpression __onstop)` JavaScript code, called on the stop of a request.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setStartStyle(javax.el.ValueExpression __startStyle)` CSS style class for the element displayed on the start of a request.
`void` | `setStartStyleClass(javax.el.ValueExpression __startStyleClass)` CSS style class for the element displayed on the start of a request.
`void` | `setStartText(javax.el.ValueExpression __startText)` Text for display on starting request.
`void` | `setStopStyle(javax.el.ValueExpression __stopStyle)` CSS style for element displayed on request completion.
`void` | `setStopStyleClass(javax.el.ValueExpression __stopStyleClass)` CSS style class for element displayed on request Setter for stopStyleClass
`void` | `setStopText(javax.el.ValueExpression __stopText)` Text for display on request complete.
`void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTitle(javax.el.ValueExpression __title)` Advisory title information about markup elements generated for this component Setter for title

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### AjaxStatus

    public AjaxStatus()

Method Detail

### setDir

    public void setDir(javax.el.ValueExpression __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### setFor

    public void setFor(javax.el.ValueExpression __for)

  ID of the AjaxContainer component whose status is indicated (in the format of a javax.faces.UIComopnent.findComponent() call). Setter for for

  Parameters:
    `for` - - new value

### setForceId

    public void setForceId(javax.el.ValueExpression __forceId)

  If true, render the ID of the component in HTML code without JSF modifications. Setter for forceId

  Parameters:
    `forceId` - - new value

### setLang

    public void setLang(javax.el.ValueExpression __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### setLayout

    public void setLayout(javax.el.ValueExpression __layout)

  Define visual layout of panel, can be "block" or "inline". Setter for layout

  Parameters:
    `layout` - - new value

### setOnclick

    public void setOnclick(javax.el.ValueExpression __onclick)

  The clientside script method to be called when the element is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### setOndblclick

    public void setOndblclick(javax.el.ValueExpression __ondblclick)

  The client side script method to be called when the element is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### setOnkeydown

    public void setOnkeydown(javax.el.ValueExpression __onkeydown)

  The client side script method to be called when a key is pressed down over the element Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### setOnkeypress

    public void setOnkeypress(javax.el.ValueExpression __onkeypress)

  The client side script method to be called when a key is pressed over the element and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### setOnkeyup

    public void setOnkeyup(javax.el.ValueExpression __onkeyup)

  The client side script method to be called when a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### setOnmousedown

    public void setOnmousedown(javax.el.ValueExpression __onmousedown)

  The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### setOnmousemove

    public void setOnmousemove(javax.el.ValueExpression __onmousemove)

  The client side script method to be called when a pointer is moved within the element Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### setOnmouseout

    public void setOnmouseout(javax.el.ValueExpression __onmouseout)

  The client side script method to be called when a pointer is moved away from the element Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### setOnmouseover

    public void setOnmouseover(javax.el.ValueExpression __onmouseover)

  The client side script method to be called when a pointer is moved onto the element Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### setOnmouseup

    public void setOnmouseup(javax.el.ValueExpression __onmouseup)

  The client side script method to be called when a mouse button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### setOnstart

    public void setOnstart(javax.el.ValueExpression __onstart)

  JavaScript code, called on the start of a request. Setter for onstart

  Parameters:
    `onstart` - - new value

### setOnstop

    public void setOnstop(javax.el.ValueExpression __onstop)

  JavaScript code, called on the stop of a request. Setter for onstop

  Parameters:
    `onstop` - - new value

### setStartStyle

    public void setStartStyle(javax.el.ValueExpression __startStyle)

  CSS style class for the element displayed on the start of a request. Setter for startStyle

  Parameters:
    `startStyle` - - new value

### setStartStyleClass

    public void setStartStyleClass(javax.el.ValueExpression __startStyleClass)

  CSS style class for the element displayed on the start of a request. Setter for startStyleClass

  Parameters:
    `startStyleClass` - - new value

### setStartText

    public void setStartText(javax.el.ValueExpression __startText)

  Text for display on starting request. Setter for startText

  Parameters:
    `startText` - - new value

### setStopStyle

    public void setStopStyle(javax.el.ValueExpression __stopStyle)

  CSS style for element displayed on request completion. Setter for stopStyle

  Parameters:
    `stopStyle` - - new value

### setStopStyleClass

    public void setStopStyleClass(javax.el.ValueExpression __stopStyleClass)

  CSS style class for element displayed on request Setter for stopStyleClass

  Parameters:
    `stopStyleClass` - - new value

### setStopText

    public void setStopText(javax.el.ValueExpression __stopText)

  Text for display on request complete. Setter for stopText

  Parameters:
    `stopText` - - new value

### setStyle

    public void setStyle(javax.el.ValueExpression __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### setStyleClass

    public void setStyleClass(javax.el.ValueExpression __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### setTitle

    public void setTitle(javax.el.ValueExpression __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentELTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentELTag`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.